Subject: bug#7924: 23.2.91; Documentation about CDPATH is a little misleading

From: Chong Yidong <[email-masked]>
Date: Sat, 29 Jan 2011 18:29:41 -0500

Reuben Thomas <[email-masked]> writes:

> Both in the manual and in the docstring for `cd', one might reasonably
> infer (as I did!) that CDPATH will be searched when completing relative
> directory names, but this is not the case.
>
> Is there in fact any way to get this to work? It’s something that one
> can do nicely in bash in a terminal, for example, but not in shell-mode.

I think this needs new code in `read-file-name-internal' (the completion
function for read-file-name).